commit:     cfa71094f1e64c24742bd7ab7c4cfba88939ac78
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 30 21:55:11 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Mon Jan 30 23:09:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfa71094

games-action/spacetripper-demo: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../spacetripper-demo-1-r1.ebuild                  | 48 ++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/games-action/spacetripper-demo/spacetripper-demo-1-r1.ebuild 
b/games-action/spacetripper-demo/spacetripper-demo-1-r1.ebuild
new file mode 100644
index 00000000..e428234
--- /dev/null
+++ b/games-action/spacetripper-demo/spacetripper-demo-1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils unpacker
+
+MY_P="spacetripperdemo"
+DESCRIPTION="Hardcore arcade shoot-em-up"
+HOMEPAGE="http://www.pompomgames.com/";
+SRC_URI="http://www.btinternet.com/~bongpig/${MY_P}.sh";
+
+LICENSE="POMPOM"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND="
+       >=virtual/opengl-7.0-r1[abi_x86_32(-)]
+       
>=media-libs/libsdl-1.2.15-r4[abi_x86_32(-),X,video,joystick,opengl,sound]"
+
+S=${WORKDIR}
+
+dir=/opt/${PN}
+Ddir=${D}/${dir}
+
+QA_PREBUILT="${dir}/*"
+
+src_unpack() {
+       unpack_makeself
+}
+
+src_install() {
+       exeinto "${dir}"
+       doexe bin/x86/*
+       # Remove libSDL since we use the system version and our version doesn't
+       # have TEXTRELs in it.
+       rm -f "${Ddir}"/libSDL-1.2.so.0.0.5 || die
+       sed -i -e "s:XYZZY:${dir}:" "${Ddir}/${MY_P}" || die
+
+       insinto "${dir}"
+       doins -r preview run styles README license.txt icon.xpm
+       newicon icon.xpm spacetripper-demo.png
+
+       make_wrapper spacetripper-demo ./spacetripperdemo "${dir}" "${dir}"
+       make_desktop_entry spacetripper-demo spacetripper-demo spacetripper-demo
+}

Reply via email to